XtPopdown(3)

NAME
XtPopdown, XtCallbackPopdown - unmap a pop-up

SYNTAX

void XtPopdown(Widget popup_shell);

void XtCallbackPopdown(Widget w, XtPointer client_data, XtPointer call_data);

void MenuPopdown(String shell_name);

ARGUMENTS

call_data
    Specifies the callback data, which is not used by this procedure.

client_data
    Specifies a pointer to the structure.

popup_shell
    Specifies the widget shell to pop down.

shell_name
    Specifies the name of the widget shell to pop down.

w   Specifies the widget.

DESCRIPTION
The function performs the following:

•   Calls to ensure popup_shell is a subclass of

•   Checks that popup_shell is currently popped_up; otherwise, it generates an error.

•   Unmaps popup_shell's window.

•   If popup_shell's grab_kind is either or it calls

•   Sets pop-up shell's popped_up field to

•   Calls the callback procedures on the shell's popdown_callback list.

The function casts the client data parameter to an pointer:

typedef struct {
    Widget shell_widget;
    Widget enable_widget; } XtPopdownIDRec, *XtPopdownID; The shell_widget is the pop-up shell to pop down, and the enable_widget is the widget that was used to pop it up.

calls with the specified shell_widget and then calls to resensitize the enable_widget.

If a shell name is not given, calls with the widget for which the translation is specified. If a shell_name is specified in the translation table, tries to find the shell by looking up the widget tree starting at the parent of the widget in which it is invoked. If it finds a shell with the specified name in the pop-up children of that parent, it pops down the shell; otherwise, it moves up the parent chain as needed. If gets to the application top-level shell widget and cannot find a matching shell, it generates an error.

SEE ALSO
XtCreatePopupShell(3Xt), XtPopup(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface